net.officefloor.plugin.web.http.tokenise
Class HttpRequestTokenAdapter

java.lang.Object
  extended by net.officefloor.plugin.web.http.tokenise.HttpRequestTokenAdapter
All Implemented Interfaces:
HttpRequestTokenHandler

public class HttpRequestTokenAdapter
extends Object
implements HttpRequestTokenHandler

Adapter for the HttpRequestTokenHandler so that need not implement every method.

Author:
Daniel Sagenschneider

Constructor Summary
HttpRequestTokenAdapter()
           
 
Method Summary
 void handleFragment(String fragment)
          Handles the fragment token of the HttpRequest.
 void handleHttpParameter(String name, String value)
           Handles a HttpRequest parameter.
 void handlePath(String path)
          Handles the path token of the HttpRequest.
 void handleQueryString(String queryString)
          Handles the query string (raw parameter text on the request URI).
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Constructor Detail

HttpRequestTokenAdapter

public HttpRequestTokenAdapter()
Method Detail

handlePath

public void handlePath(String path)
                throws HttpRequestTokeniseException
Description copied from interface: HttpRequestTokenHandler
Handles the path token of the HttpRequest.

Specified by:
handlePath in interface HttpRequestTokenHandler
Parameters:
path - Path.
Throws:
HttpRequestTokeniseException - If fails to handle the HttpRequest path.

handleHttpParameter

public void handleHttpParameter(String name,
                                String value)
                         throws HttpRequestTokeniseException
Description copied from interface: HttpRequestTokenHandler

Handles a HttpRequest parameter.

Parameters are also sourced from the body on a POST HttpRequest.

Specified by:
handleHttpParameter in interface HttpRequestTokenHandler
Parameters:
name - Name of the parameter.
value - Value for the parameter.
Throws:
HttpRequestTokeniseException - If fails to handle the HttpRequest parameter.

handleQueryString

public void handleQueryString(String queryString)
                       throws HttpRequestTokeniseException
Description copied from interface: HttpRequestTokenHandler
Handles the query string (raw parameter text on the request URI).

Specified by:
handleQueryString in interface HttpRequestTokenHandler
Parameters:
queryString - Raw query string.
Throws:
HttpRequestTokeniseException - if fails to handle the query string.

handleFragment

public void handleFragment(String fragment)
                    throws HttpRequestTokeniseException
Description copied from interface: HttpRequestTokenHandler
Handles the fragment token of the HttpRequest.

Specified by:
handleFragment in interface HttpRequestTokenHandler
Parameters:
fragment - Fragment.
Throws:
HttpRequestTokeniseException - If fails to handle the HttpRequest fragment.


Copyright © 2005-2013. All Rights Reserved.